- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Friends

# QGraphicsLayout Class Reference

Search for all occurrences

## Detailed Description

Definition at line 59 of file qgraphicslayout.h.

`#include <qgraphicslayout.h>`

Inheritance diagram for QGraphicsLayout:
[legend]

List of all members.

## Public Member Functions
| QGraphicsLayout (QGraphicsLayoutItem *parent=0)
| ~QGraphicsLayout ()
void | setContentsMargins (qreal left, qreal top, qreal right, qreal bottom)
void | getContentsMargins (qreal *left, qreal *top, qreal *right, qreal *bottom) const
void | activate ()
bool | isActivated () const
virtual void | invalidate ()
virtual void | updateGeometry ()
virtual void | widgetEvent (QEvent *e)
virtual int | count () const =0
virtual QGraphicsLayoutItem * | itemAt (int i) const =0
virtual void | removeAt (int index)=0
## Protected Member Functions
| QGraphicsLayout (QGraphicsLayoutPrivate &, QGraphicsLayoutItem *)
void | addChildLayoutItem (QGraphicsLayoutItem *layoutItem)
## Friends
class | QGraphicsWidget

## Constructor & Destructor Documentation

QGraphicsLayout | ( | QGraphicsLayoutItem * | parent = `0` | ) |

~QGraphicsLayout | ( |  | ) |

QGraphicsLayout | ( | QGraphicsLayoutPrivate & | ,
|  | QGraphicsLayoutItem * |
| ) |  | `[protected]`

## Member Function Documentation

void setContentsMargins | ( | qreal | left,
|  | qreal | top,
|  | qreal | right,
|  | qreal | bottom
| ) |  |

Search for all occurrences

void getContentsMargins | ( | qreal * | left,
|  | qreal * | top,
|  | qreal * | right,
|  | qreal * | bottom
| ) |  | const `[virtual]`

Search for all occurrences

Reimplemented from QGraphicsLayoutItem.

void activate | ( |  | ) |

Search for all occurrences

bool isActivated | ( |  | ) | const

Search for all occurrences

virtual void invalidate | ( |  | ) | `[virtual]`

Search for all occurrences

Reimplemented in QGraphicsAnchorLayout, QGraphicsGridLayout, and QGraphicsLinearLayout.

virtual void updateGeometry | ( |  | ) | `[virtual]`

Search for all occurrences

Reimplemented from QGraphicsLayoutItem.

virtual void widgetEvent | ( | QEvent * | e | ) | `[virtual]`

Search for all occurrences

virtual int count | ( |  | ) | const `[pure virtual]`

Search for all occurrences

Implemented in QGraphicsAnchorLayout, QGraphicsGridLayout, and QGraphicsLinearLayout.

virtual QGraphicsLayoutItem* itemAt | ( | int | i | ) | const `[pure virtual]`

Search for all occurrences

Implemented in QGraphicsAnchorLayout, QGraphicsGridLayout, and QGraphicsLinearLayout.

virtual void removeAt | ( | int | index | ) | `[pure virtual]`

Search for all occurrences

Implemented in QGraphicsAnchorLayout, QGraphicsGridLayout, and QGraphicsLinearLayout.

void addChildLayoutItem | ( | QGraphicsLayoutItem * | layoutItem | ) | `[protected]`

Search for all occurrences

## Friends And Related Function Documentation

friend class QGraphicsWidget `[friend]`

Search for all occurrences

Definition at line 86 of file qgraphicslayout.h.

The documentation for this class was generated from the following file:

- QtGui/qgraphicslayout.h

QGraphicsLayout QGraphicsLayout QGraphicsLayout QGraphicsLayout QGraphicsLayout QGraphicsLayout QGraphicsLayout QGraphicsLayout QGraphicsLayout QGraphicsLayout
QGraphicsLayout QGraphicsLayout QGraphicsLayout QGraphicsLayout QGraphicsLayout QGraphicsLayout QGraphicsLayout QGraphicsLayout QGraphicsLayout QGraphicsLayout